Jump to content

Novice_python

Membres
  • Content Count

    15
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Novice_python

  • Rank
    Member
  1. Bonjour, En effet, je dispose d'un applicatif sur Autocad qui est bel et bien Covadis. Merci pour votre réponse, je vais essayer demain et je vous tiens au courant de la réussite ou non de la commande Covadis. Bien cordialement !
  2. Bonjour à tous, je vous expose mon problème. Lors d'un relevé codifié, j'ai généré une ligne de talus avec des arcs et des lignes. Ces lignes de rupture de pente vont me permettre de générer un MNT. Toutefois, le calcul du MNT ne prend pas en compte les arcs puisqu'il faut obligatoirement un point topographique sur chacun des sommets. Je souhaiterais dans un premier temps convertir l'ensemble des arcs en polylignes en conservant bien évidemment la forme de courbure de cet arc (pour ne pas modifier le calcul des cubatures). Suite à cela, je pourrais immatriculer les sommets des polylignes
  3. Bonjour, Je joins un extrait de mon programme LISP : (defun c:rename_bloc (/ OBJ) (if (setq OBJ (ssget "x" '((0 . "INSERT")(2 . "EBOURG")))) (progn (command "-calque" "n" "AEPS" "co" "4" "AEPS" "ep" "0" "AEPS" "tl" "Continuous" "AEPS" "") ((command "_-rename" "_b" "EBOURG" "211_regard_AEP_carre" " " )) );progn );if );defun Il permet de modifier le nom d'un bloc. Le message d'erreur joint au message précédent s'affiche sur AutoCAD. Je ne vois pas de quoi cela peut-t-il venir ? De plus, est-t-il possible d'insérer un bloc à une même position qu'un bloc déjà existant dans l
  4. Bonjour à tous ! Je souhaite lancer mon programme LISP sous AUTOCAD. Mon script se charge bien toutefois un message d'erreur apparait (voir pièce jointe). Pourtant il fonctionne correctement. Il faut que j'appuie systématiquement sur la touche "entrée" pour atteindre l'achèvement de mon programme. Quelqu'un aurait-t-il une idée ?? Merci d'avance !!!
  5. Salut Patrick_35, je ne comprends pas trop ce que signifie tes deux lignes de commande ... :(
  6. Bonjour à tous, Je suis confronté à un gros souci. Je souhaite insérer des blocs sous autocad par le biais d'un LISP. J'ai réussi à écrire ce programme. Pourtant, je souhaiterais améliorer mon programme afin d'insérer autant de blocs qu'il y en a actuellement dans le dessin ; je m'explique. Par exemple, le dessin autocad contient 13 blocs appelés "Regard_AEP". Je souhaiterais insérer des blocs remplaçant chacun de ces 13 blocs, pour après supprimer les blocs d'origine. Je ne vois pas du tout comment procéder !! :( J'ai récupéré un script permettant de compter le nombre de blocs dans le
  7. Bonjour Vincentp010, Merci tout d'abord pour ta réponse ! J'ai essayé de comprendre ton script, mais j'ai un message d'erreur lorsque je l'exécute. import win32com.client import pythoncom def AcadPoint(pt): """ Take 2D or 3D point (x, y, [z]) and return a variant array of double to deal with autocad com interface """ if len(pt) == 2: pt = Point2D3D(pt) return win32com.client.VARIANT(pythoncom.VT_ARRAY | pythoncom.VT_R8, pt) ## type: 8192 + 5 = 8197 def Point2D3D(pt): """ Take a 2D point (x, y) and return a 3D point (x, y, 0) """ return (pt[0],pt[1], 0)
  8. Bonjour à tous, J'ai également essayé le lisp IXL, mais ce dernier ne fonctionne toujours pas. En effet, Autocad me renvoie la boîte de dialogue "Erreur : type d'argument incorrect: VLA-OBJECT nil." J'ai un peu de mal à comprendre d'où cela peut-il venir ? Merci d'avance
  9. Bonjour à tous, Je suis confronté à un problème sous AutoCAD. En effet, je dispose d'un fichier TXT (voir ci-dessous) avec plusieurs colonnes respectant un certain formalisme: - nom du bloc - nom du calque d'insertion - Couleur du bloc - Echelle X - Echelle Y - Echelle Z - Position X - Position Y - Position Z - Rotation. Je voudrais ainsi insérer les différents blocs dans le dessin à partir d'un LISP et/ou de PYTHON. Tout d'abord, existe il un lien entre PYTHON et AUTOCAD ? Si oui, comment pourrais y parvenir ? Ensuite, je maîtrise depuis peu le langage LISP pour AUTOCAD. Je souhaite ain
  10. Bonjour, Je suis à la recherche d'un LISP ou de quelques idées pour le faire permettant de modifier la couleur "DUCALQUE" par la couleur de l'index. Par exemple : je dispose du calque AEP en rouge. Or, il a été défini initialement que la couleur serait "DUCALQUE". Je voudrais ainsi trouver un LISP qui permette de remplacer cette couleur "DUCALQUE" par la couleur de l'index, à savoir "1" -> correspondant à la couleur "rouge" Merci d'avance :)
  11. Bonjour Vannes, J'ai essayé de voir ton script et de l'adapter avec mes données. Cependant, lorsque je le teste avec un fichier DWG, il me donne un fichier "erreur" étrange ... J'ai du mal à comprendre en fait ! J'ai tout d'abord défini ma charte graphique (liste des claques, des blocs, types de lignes ...). Maintenant, je voudrais sélectionner tous les éléments du dessin ; je pense que c'est avec cette fonction : (setq SELECTION (ssget "X" (list (cons 8 CALQUE) (cons 410 "Model")))) (setq L 0) Et connaître si ces différents éléments sont bien dans la charte graphique. En pièces jointes
  12. Bonjour à vous trois, Merci déjà pour votre aide !! C'est super. Olivier : je me lance cette semaine dans le langage de programmation en suivant tes principales étapes ! Je te tiens au courant de l'avancée de cette programmation... Vannes : Merci pour ton script ! Je vais à présent jeter un coup d'œil pour l'adapter et le modifier afin qu'il colle à ce que je désire ! Je te tiens également au courant ... Petite question supplémentaire : est ce que vous savez si PYTHON peut également faire le travail ? Bonne journée et merci encore !!
  13. Oui en effet, j'ai déjà fait avec l'outil de vérificateur de normes sous AutoCAD, mais on cherche un moyen de visualiser les anomalies à l'écran. D'où l'idée de créer un calque et d'y intégrer les éléments hors gabarit. J'ai fait la même chose sous Python (avec des blocs), le programme marche bien mais même remarque qu'avec l'outil "vérificateur de normes en différé". Donc bon, je recherche sur internet et dans les cours LISP, sans grand succès à vrai dire ...
  14. Bonjour à tous, Je suis actuellement en stage dans une collectivité territoriale. Je suis débutant dans le langage LISP. Je dois contrôler la conformité d'un plan DWG avec une charte graphique imposée. Pour ce faire, j'ai préalablement effectué cette charte graphique. Maintenant, je dois extraire tous les objets (lignes, points et blocs) ne respectant pas les normes prédéfinies, puis les insérer dans un calque "Objets_exclus". Pour ce faire, j'ai regardé dans beaucoup de forums et je pensais travailler de la sorte : 1) création du calque accueillant ces futurs objets exclus de la charte
×
×
  • Create New...